# Interface IComputedFieldRequest

Describe a computed field request
See: Computed Fields

## Index

### Properties

- field
- operation

## Properties

### field

field: string

- Defined in rest/ComputedFieldRequest.ts :9

This specifies the field on which the aggregate operation will be performed. This field is typically a numerical value.

### operation

operation: string

- Defined in rest/ComputedFieldRequest.ts :18

This specifies the operation to execute on the field value.
Possible operations: -- sum: Computes the sum of all values. -- average: Computes the average of all values. --minimum: Retrieves the smallest of all values. --maximum: Retrieves the largest of all values.

### Hierarchy

- IComputedFieldRequest